« »
Jul 13

Hace pocas horas anunciaban en PHP.net que sólo se seguirán lanzando releases de PHP4 hasta finales de este año.

Justo hoy PHP5 cumple tres años de vida, durante este tiempo se ha convertido en una versión sobradamente preparada para entornos de producción. Aunque desgraciadamente todavía se sigue usando PHP4 en muchos proyectos y hostings con lo que se limita gravemente el correcto crecimiento del lenguaje PHP.

Esta noticia de fin de continuidad del PHP4 el 31-12-2007 es el complemento perfecto a lo que nos comentaba Dani, entre otros, acerca del nacimiento de GoPHP5, una campaña que propone el próximo 5 de Febrero como fecha límite para que el máximo número de aplicaciones PHP marquen la versión 5.2.0 como requisito mínimo.

Según Nexen.net actualmente sólo un 20% de todas las instalaciones de PHP son de la versión 5, entre GoPHP5 y esta noticia mucho me temo que en menos de 6 meses esta situación por fin cambiará.

Vía PHP.net

Be Sociable, Share!
Tagged with:

8 Responses to “Muerte anunciada del PHP4”

  1. Moises says:

    Con la de ventajas que rae la versión 5: soap, xml, iteradores, reflexión, orientación a objetos de verdad, etc …

    No entiendo como no han saltado todos de cabeza.

  2. ALPHA says:

    Bueno, sí, era algo que se veía venir. Un saludo y felicitaciones por tan buen blog.

  3. Oriol says:

    Pues sí, se debería haber forzado el cambio mucho antes tanto por parte de los hostings como de las aplicaciones PHP más influyentes.

    Al principio es muy normal dar unas cuantas versiones de margen a una nueva rama como la PHP5, pero después de las primeras lo suyo es cambiar, sino todavía es más difícil estabilizar el nuevo software.

    Yo creo q en gran parte se ha continuado hasta ahora con PHP4 por una frase hecha ridícula y muy perjudicial en temas de software: Si funciona no lo toques, encuentro bastante patético utilizar este “argumento” en los tiempos q corren.

  4. Peito says:

    Ciertamente, es triste ver el alto porcentaje de utilización de PHP4, hoy día. Aunque hay muchos entre los que repartir la culpa (desarrolladores y la propia dirección de PHP incluidos). En mi caso me he pasado mucho tiempo programando en PHP4 porque el hosting que teniamos contratado para alojar las aplicaciones no se atrevía a dar el paso por cuestinoes de seguridad (decían ellos). Aunque un análisis más profundo me lleva a pensar que la mayoría de scripts PHP que se hacen por ahí, con un envío de formularios y manejar una pequeña BBDD, van que arden. Quizás se tendría que pensar en lazar versiones de PHP, basadas en lo que ofrecen (ya sabeis PHP Basic, PHP advanced, PHP Greatest Sites) y no en el numéro que les marca el Cvs. Saludos a todos

  5. En mi caso todavía que no me he puesto con php (únicamente se un poco de c) creéis que es preferible que me ponga a empezar programar en php 6.0 ?

    Ya os digo que prácticamente no se nada y tampoco tengo prisa por aprenderlo.

    Un saludo!

  6. Oriol says:

    PHP6 está en desarrollo. Me imagino que tu pregunta es si 4 o 5. La respuesta está clara, empieza con la última versión estable de la rama PHP5.

  7. Dependemos de los hostings, yo aún no he tenido ninguno con PHP5

  8. Oriol says:

    Jep,

    Pues te recomendaría buscar mejor porque hay muchos! Algunos de los conocidos americanos como HostGator y DreamHost y nacionales como Ferca hace mucho tiempo que soportan PHP5.

Leave a Reply

preload preload preload